# shm_remove_var

(PHP 4, PHP 5, PHP 7, PHP 8)

shm_remove_var — Efface une variable de la mémoire partagée

### Description

shm_remove_var(SysvSharedMemory `$shm`, int `$key`): bool

Efface la variable `key` de la mémoire partagée `shm` et libère la mémoire.

### Liste de paramètres

`shm`

  Un segment de mémoire partagée obtenue depuis shm_attach().

`key`

  La clé de la variable.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.

### Historique

Version | Description
--- | ---
8.0.0 | `shm` attend une instance de SysvSharedMemory désormais; auparavant, une resource était attendue.

### Voir aussi

- shm_remove() - Supprime un segment de mémoire partagée sous Unix